Skip to main content
GET
/
model-monitor
/
v2
/
api
/
get_model_summary
Get model summary
curl --request GET \
  --url https://api.example.com/model-monitor/v2/api/get_model_summary \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "version": "<string>",
  "createdAt": 123,
  "isDataDriftCheckScheduled": true,
  "isModelQualityCheckScheduled": true,
  "dataDriftChecks": [
    {
      "checkedOn": 123,
      "variablesDrifted": [
        "<string>"
      ],
      "numberOfPredictions": 123,
      "scheduledCheckId": "<string>",
      "totalNumberOfVariables": 123
    }
  ],
  "modelQualityChecks": [
    {
      "checkedOn": 123,
      "scheduledCheckId": "<string>",
      "metrics": [
        {
          "name": "<string>",
          "value": 123,
          "isFailed": true
        }
      ],
      "matchedRowCount": 123
    }
  ],
  "permissions": {
    "canEditAttributes": true,
    "canUnregisterMonitoring": true
  },
  "tags": [
    {
      "id": "<string>",
      "tagName": "<string>"
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

model_id
string
workbench_model_version_id
string

Response

Successfully fetched the Model summary.

Model Dashboard Item to be sent in the list models API response.

id
string
required

Model's Unique Identifier.

name
string
required

Model's Name.

version
string
required

Model's Version.

modelType
enum<string>
required

Model's Type.

Available options:
classification,
regression
modelStatus
enum<string>
required

Model's Registration status.

Available options:
draft,
created,
deleted
createdAt
integer
required

Creation timestamp of a Model.

isDataDriftCheckScheduled
boolean
required

Is the Data Drift check for the model scheduled?

isModelQualityCheckScheduled
boolean
required

Is the Model Quality check for the model scheduled?

dataDriftChecks
object[]
required

Data Drift scheduled check runs.

modelQualityChecks
object[]
required

Model Quality scheduled check runs.

sourceType
enum<string>

Source for the model registration.

Available options:
domino_workbench,
standalone
permissions
Model Dashboard Item Permissions · object

Permission metadata required for a model dashbord item response

tags
Model Tag · object[]

List of tags associated with the model